# openexr
%define api		2_5
%define major		25
%define libname		%mklibname ilmimf %{api} %{major}
%define develname	%mklibname %{name} -d

# ilmbase
%define ilm_major	25
%define libname_ilm	%mklibname ilmbase %{api} %{ilm_major}
%define develname_ilm	%mklibname ilmbase -d

Name:		openexr
Summary:	A high dynamic-range (HDR) image file format
Version:	2.5.3
Release:	%mkrel 8
Group:		Graphics/Utilities
License:	BSD
URL:		https://www.openexr.com
Source0:	https://github.com/openexr/openexr/releases/download/v%{version}/openexr-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	pkgconfig(zlib)

Provides:	OpenEXR = %{version}-%{release}

%description
Industrial Light & Magic developed the OpenEXR format in response to the demand
for higher color fidelity in the visual effects industry.

### openexr

%package -n	%{libname}
Summary:	Dynamic libraries from %{name}
Group:		System/Libraries

%description -n	%{libname}
Dynamic libraries from %{name}.

%package -n	%{develname}
Summary:	Header files and static libraries from %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	OpenEXR-devel = %{version}-%{release}

%description -n	%{develname}
Libraries and includes files for developing programs based on %{name}.

### ilmbase

%package -n	%{libname_ilm}
Summary:	Dynamic libraries from ilmbase
Group:		System/Libraries

%description -n	%{libname_ilm}
Dynamic libraries from ilmbase.

%package -n	%{develname_ilm}
Summary:	Header files and static libraries from ilmbase
Group:		Development/C
Requires:	%{libname_ilm} = %{version}-%{release}
Requires:	%{develname} = %{version}-%{release}
Provides:	libilmbase-devel = %{version}-%{release}
Provides:	ilmbase-devel = %{version}-%{release}

%description -n	%{develname_ilm}
Libraries and includes files for developing programs based on ilmbase.

%prep
%setup -q

%build
%cmake
%cmake_build

%install
%cmake_install

# Remove doc files installed by make install, we package them in %%files
rm -rf %{buildroot}%{_docdir}

%files
%doc *.md CODEOWNERS
%doc doc/*
%{_bindir}/exr*

%files -n %{libname}
%{_libdir}/libIlmImf-%{api}.so.%{major}{,.*}
%{_libdir}/libIlmImfUtil-%{api}.so.%{major}{,.*}

%files -n %{develname}
%dir %{_includedir}/OpenEXR
%{_includedir}/OpenEXR/Imf*.h
%{_includedir}/OpenEXR/OpenEXRConfig.h
%{_libdir}/libIlmImf.so
%{_libdir}/libIlmImf-%{api}.so
%{_libdir}/libIlmImfUtil.so
%{_libdir}/libIlmImfUtil-%{api}.so
%{_libdir}/pkgconfig/OpenEXR.pc
%{_libdir}/cmake/OpenEXR/

%files -n %{libname_ilm}
%{_libdir}/libHalf-%{api}.so.%{ilm_major}{,.*}
%{_libdir}/libIex-%{api}.so.%{ilm_major}{,.*}
%{_libdir}/libIexMath-%{api}.so.%{ilm_major}{,.*}
%{_libdir}/libIlmThread-%{api}.so.%{ilm_major}{,.*}
%{_libdir}/libImath-%{api}.so.%{ilm_major}{,.*}

%files -n %{develname_ilm}
%{_includedir}/OpenEXR/half*.h
%{_includedir}/OpenEXR/Iex*.h
%{_includedir}/OpenEXR/Ilm*.h
%{_includedir}/OpenEXR/Imath*.h
%{_libdir}/libHalf.so
%{_libdir}/libHalf-%{api}.so
%{_libdir}/libIex.so
%{_libdir}/libIex-%{api}.so
%{_libdir}/libIexMath.so
%{_libdir}/libIexMath-%{api}.so
%{_libdir}/libIlmThread.so
%{_libdir}/libIlmThread-%{api}.so
%{_libdir}/libImath.so
%{_libdir}/libImath-%{api}.so
%{_libdir}/pkgconfig/IlmBase.pc
%{_libdir}/cmake/IlmBase/


%changelog
* Mon Nov 30 2020 luigiwalser <luigiwalser> 2.5.3-8.mga8
+ Revision: 1650733
- rebuild for jsoncpp

* Wed Nov 18 2020 luigiwalser <luigiwalser> 2.5.3-7.mga8
+ Revision: 1647365
- remove temporary obsoletes

* Wed Nov 18 2020 luigiwalser <luigiwalser> 2.5.3-6.mga8
+ Revision: 1647358
- temporarily obsolete old ilmbase library

* Sat Sep 12 2020 daviddavid <daviddavid> 2.5.3-5.mga8
+ Revision: 1625181
- add conflicts to ease upgrade

* Sat Sep 12 2020 daviddavid <daviddavid> 2.5.3-4.mga8
+ Revision: 1625167
- split out in their own sub-pkgs the ilmbase stack
- make sure old ilmbase-devel pkg is removed

* Tue Sep 08 2020 akien <akien> 2.5.3-3.mga8
+ Revision: 1623576
- Don't obsolete lib package, it can stay installed in parallel

* Tue Sep 08 2020 akien <akien> 2.5.3-2.mga8
+ Revision: 1623541
- Fix invalid Obsoletes for ilmbase

* Sun Sep 06 2020 guillomovitch <guillomovitch> 2.5.3-1.mga8
+ Revision: 1622886
- new version 2.5.3

* Thu Aug 20 2020 joequant <joequant> 2.3.0-6.mga8
+ Revision: 1616876
- bump
- revert arm64 workaround

* Wed Apr 29 2020 ns80 <ns80> 2.3.0-5.mga8
+ Revision: 1573198
- add patches from Ubuntu for CVE-2020-1175[89] and CVE-2020-1176[0-5] (mga#26551)

* Tue Feb 18 2020 umeabot <umeabot> 2.3.0-4.mga8
+ Revision: 1538800
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Nov 27 2019 daviddavid <daviddavid> 2.3.0-3.mga8
+ Revision: 1463064
- add opensuse patch to fix CVE-2017-14988 (mga#25758)

* Wed May 08 2019 mrambo3501 <mrambo3501> 2.3.0-2.mga7
+ Revision: 1396760
- add upstream patch which fixes CVE-2018-18444 (mga#24759)

* Mon Oct 15 2018 zezinho <zezinho> 2.3.0-1.mga7
+ Revision: 1320440
- new version 2.3.0
+ daviddavid <daviddavid>
- rebuild for new ilmbase 2.3.0

* Sun Sep 23 2018 umeabot <umeabot> 2.2.1-2.mga7
+ Revision: 1300013
- Mageia 7 Mass Rebuild

* Sun May 27 2018 wally <wally> 2.2.1-1.mga7
+ Revision: 1232387
- new version 2.2.1
- new lib major 23
- drop upstreamed patches

* Tue Jan 09 2018 neoclust <neoclust> 2.2.0-11.mga7
+ Revision: 1191900
- Rebuild against new IlmBase

* Sat Jul 01 2017 akien <akien> 2.2.0-10.mga6
+ Revision: 1108837
- Backport upstream PR to fix CVE-2017-911[026] (mga#20912)

* Wed Dec 28 2016 wally <wally> 2.2.0-9.mga6
+ Revision: 1078508
- obsolete old OpenEXR pkg

* Wed Dec 28 2016 wally <wally> 2.2.0-8.mga6
+ Revision: 1078475
- add provides for OpenEXR-devel

* Wed Dec 28 2016 wally <wally> 2.2.0-7.mga6
+ Revision: 1078452
- use lower case source pkg name
- fix lib pkg name (but keep old lower cased devel pkg name)

* Fri Feb 12 2016 umeabot <umeabot> 2.2.0-6.mga6
+ Revision: 956545
- Mageia 6 Mass Rebuild

* Tue Aug 25 2015 cjw <cjw> 2.2.0-5.mga6
+ Revision: 869264
- rebuild with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 2.2.0-4.mga5
+ Revision: 739717
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.0-3.mga5
+ Revision: 686714
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.2.0-2.mga5
+ Revision: 677645
- Mageia 5 Mass Rebuild

* Sat Aug 23 2014 luigiwalser <luigiwalser> 2.2.0-1.mga5
+ Revision: 666901
- 2.2.0
- library major is now 22

* Fri Apr 25 2014 shlomif <shlomif> 2.1.0-1.mga5
+ Revision: 617985
- New version 2.1.0

* Sat Oct 19 2013 umeabot <umeabot> 2.0.1-2.mga4
+ Revision: 534405
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 fwang <fwang> 2.0.1-1.mga4
+ Revision: 477838
- br zlib
- try build normally
- fltk is not required
- disable test prog
- new version 2.0.1

* Fri Jan 11 2013 umeabot <umeabot> 1.7.1-2.mga3
+ Revision: 345071
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ boklm <boklm>
- Update group: Graphics/Other -> Graphics/Utilities

* Sun Dec 02 2012 fwang <fwang> 1.7.1-1.mga3
+ Revision: 324982
- new version 1.7.1

* Fri Jan 14 2011 mikala <mikala> 1.7.0-1.mga2
+ Revision: 18057
- Drop mdk macros
- Remove BuildRoot
- imported package OpenEXR

